% function [ output_args ] = compare( input_args )
%UNTITLED1 Summary of this function goes here
%  Detailed explanation goes here
clear all
close all
clc 
tiles1=10;
tiles2=10;
s=40;
load('image.mat');
xx=image;
for i=3:size(xx,2)
    xx{i}=rgb2gray(xx{i});
    xx{i}=imresize(xx{i},[256 256],'nearest');
    m{i}=trans(xx{i});
    xx{i}=edge(xx{i},'canny');
   
end

%edgehistogram=pol_tile(xx,m,s);
edgehistogram=simple_tile(xx,tiles1,tiles2);




result=LP(edgehistogram,size(xx,2));
%result=cosine(edgehistogram,size(xx,2))
%result=Quadratic_dis(edgehistogram,size(xx,2));
set(gcf, 'PaperPosition', [2 1 400 400]);
pause(1);

for i=3:size(xx,2)
[V,I]=sort(result(i,:),'ascend');
%figure();
subplot(2,3,1)
imshow(image{i});
 pause(1);
for j=4:8
    subplot(2,3,j-2);
    imshow(image{I(j)});
    pause(1);
end
clf
end
